package test.hibcrypt.std;

import java.io.File;
import java.util.logging.Level;
import java.util.logging.Logger;

import org.hibernate.SessionFactory;
import org.hibernate.cfg.Configuration;

import test.hibcrypt.common.BaseTest;

/*
CREATE TABLE nonsecretdata (
     id INTEGER NOT NULL,
     ival INTEGER,
     sval VARCHAR(50),
     PRIMARY KEY(id)
);
 */

public class Test {
	public static void main(String[] args) {
        Logger.getLogger("org.hibernate").setLevel(Level.SEVERE);
        BaseTest tst = new StdTest();
        tst.execute();
	}
}

class StdTest extends BaseTest {
	@Override
	protected SessionFactory getSessionFactory() {
		Configuration cfg = new Configuration();
		File f = new File("bin/test/hibcrypt/std/hibernateconfig.xml");
		cfg.configure(f);
        SessionFactory sf = cfg.buildSessionFactory();
        return sf;
	}
}